textures/fleuv/glass						// the direction in q3ut4 where you want to have the scripted shader in your texture browser
{
	//qer_editorimage textures/fleuv/glass			// texture it views in gtkradiant isn't needed because the script is on the directory of the image
	qer_trans 0.5						// http://q3map2.everyonelookbusy.net/shader_manual/ch5.htm#trans
	surfaceparm nolightmap					// This texture does not have a lightmap phase. It is not affected by the ambient lighting of the world around it. It does not require the addition of an rgbGen identity keyword in that stage.
	surfaceparm trans					// Tells Q3Map2 that pre-computed visibility should not be blocked by this surface. Generally, any shaders that have blendfunc's should be marked as surfaceparm trans.

	{
		map textures/fleuv/glass
		tcGen environment
		blendfunc GL_ONE GL_ONE				// http://q3map2.everyonelookbusy.net/shader_manual/ch6.htm#blendfunc
	}
}

textures/fleuv/glass1
{
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/fleuv/glass1
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/fleuv/concrete_nodmg
{
	qer_editorimage texture/fleuv/concrete			// now you can use it btw this is the most basic texture
	map textures/fleuv/concrete
	surfaceparm nodamage
}

textures/fleuv/water
{
	surfaceparm nomarks					// just read the shader manual http://home.comcast.net/~bkaltec/contents.html or press f1 in GTKradiant for the real one
	surfaceparm trans					// make the texture invisible to lightrays, as a result it doesn't cast shadows
	surfaceparm water
	cull none
	{
		map textures/fleuv/water			// for ingame
		rgbGen identity
		blendfunc blend
		alphaGen const 0.5				// this is a constant translucency factor
	}
	{ 
			tcgen lightmap				// this was copied from external lightmaps trick
			map $lightmap
			blendfunc gl_dst_color gl_src_color	// this is the how the lightmap is blended with the texture. 
			rgbGen identity
	}
}

textures/fleuv/light
{
	surfaceparm nomarks
	q3map_surfacelight 10000				// How strong the light is
	{
		map textures/fleuv/light
		map $lightmap
		rgbGen identity
	}
}